/***************************************************************************
 *   Copyright (C) 2005 by Vlad Svetlichny                                 *
 *   vladsv@inbox.ru                                                       *
 *   Distributed under GPL                                                 *
 ***************************************************************************/
#ifndef PREFS_H
#define PREFS_H

#include <qtabdialog.h>
#include <qcolor.h>
#include <qfont.h>
#include <qlineedit.h>
#include <qslider.h>
#include <qspinbox.h>

/**
@author Vlad Svetlichny
*/

class QComboBox;
class QCheckBox;
class Settings;
// class QLineEdit;

class prefs : public QTabDialog
{
Q_OBJECT
public:
    prefs(QWidget *parent = 0, Settings *set=0);

    ~prefs();
    void setupTabLnf();
    void setupTabEnc();
    void setupTabConfirm();
    void setupTabMisc();
    
public slots:
    void changeBackground();
    void changeForeground();
    void changeFont();
    void changePaper();
    void apply();
    void pprChecked(bool check);

private:

   QColor back,fore;
   QFont font;
   Settings* sett;
   QString defaultCode, paper;
   QPushButton *pprBtn;
   QLineEdit *pprEdit;
   bool f_font, f_back, f_fore, autoCodeRus, autoCodeUa, autoCodeGerman, 
   autoCodePolish,
    autoCodeSerbian, autoCodeFinnish, autoCodePortuguese, autoCodeSlovak,
    autoCodeSlovenian, autoCodeTurkish, autoCodeSpanish, autoCodeLatvian, 
    confirmOnCloseAll, confirmOnExit, confirmOnBmDel;
   
   QComboBox* selCdpg;
   QCheckBox *ukrChk, *rusChk, 
   *finnishChk,
   *portugueseChk,
   *slovakChk,
   *slovenianChk,
   *turkishChk,
   *spanishChk,
   *polishChk,
   *latvianChk,
   *germanChk,
   *serbianChk,
   *pprChk,
   *onExitChk,
   *onBmDelChk,
   *onCloseAllChk;
   
   QSlider *sldrScrollSpeed;
   QSpinBox *spinScrollSpeed, *spinSbWidth;
};

#endif
